Upstream information

CVE-2009-1720 at MITRE

Description

Multiple integer overflows in OpenEXR 1.2.2 and 1.6.1 allow context-dependent attackers to cause a denial of service (application crash) or possibly execute arbitrary code via unspecified vectors that trigger heap-based buffer overflows, related to (1) the Imf::PreviewImage::PreviewImage function and (2) compressor constructors. NOTE: some of these details are obtained from third party information.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 527538 [RESOLVED / DUPLICATE], 527539 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • libIlmImf-Imf_2_1-21 >= 2.1.0-4.5
  • libIlmImf-Imf_2_1-21-32bit >= 2.1.0-4.5
  • openexr >= 2.1.0-4.5
Patchnames:
SUSE Linux Enterprise Desktop 12 GA libIlmImf-Imf_2_1-21
SUSE Linux Enterprise Desktop 12 SP1
  • libIlmImf-Imf_2_1-21 >= 2.1.0-4.5
  • libIlmImf-Imf_2_1-21-32bit >= 2.1.0-4.5
  • openexr >= 2.1.0-4.5
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libIlmImf-Imf_2_1-21
SUSE Linux Enterprise Desktop 12 SP2
  • libIlmImf-Imf_2_1-21 >= 2.1.0-4.5
  • libIlmImf-Imf_2_1-21-32bit >= 2.1.0-4.5
  • openexr >= 2.1.0-4.5
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libIlmImf-Imf_2_1-21
SUSE Linux Enterprise Desktop 12 SP3
  • libIlmImf-Imf_2_1-21 >= 2.1.0-4.5
  • libIlmImf-Imf_2_1-21-32bit >= 2.1.0-4.5
  • openexr >= 2.1.0-4.5
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libIlmImf-Imf_2_1-21
SUSE Linux Enterprise Module for Desktop Applications 15
  • libIlmImf-2_2-23 >= 2.2.1-1.22
  • libIlmImfUtil-2_2-23 >= 2.2.1-1.22
  • openexr-devel >= 2.2.1-1.22
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA libIlmImf-2_2-23
SUSE Linux Enterprise Server 11
  • OpenEXR >= 1.6.1-83.17.1
  • OpenEXR-32bit >= 1.6.1-83.17.1
  • OpenEXR-x86 >= 1.6.1-83.17.1
Patchnames:
slessp0-OpenEXR
SUSE Linux Enterprise Server 11 SP1
  • OpenEXR >= 1.6.1-83.17.1
  • OpenEXR-32bit >= 1.6.1-83.17.1
  • OpenEXR-x86 >= 1.6.1-83.17.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA OpenEXR
SUSE Linux Enterprise Server 11 SP2
  • OpenEXR >= 1.6.1-83.17.1
  • OpenEXR-32bit >= 1.6.1-83.17.1
  • OpenEXR-x86 >= 1.6.1-83.17.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA OpenEXR
SUSE Linux Enterprise Server 11 SP3
  • OpenEXR >= 1.6.1-83.17.1
  • OpenEXR-32bit >= 1.6.1-83.17.1
  • OpenEXR-x86 >= 1.6.1-83.17.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA OpenEXR
SUSE Linux Enterprise Server 11 SP4
  • OpenEXR >= 1.6.1-83.17.1
  • OpenEXR-32bit >= 1.6.1-83.17.1
  • OpenEXR-x86 >= 1.6.1-83.17.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA OpenEXR
SUSE Linux Enterprise Server 12
  • libIlmImf-Imf_2_1-21 >= 2.1.0-4.5
  • openexr >= 2.1.0-4.5
Patchnames:
SUSE Linux Enterprise Server 12 GA libIlmImf-Imf_2_1-21
SUSE Linux Enterprise Server 12 SP1
  • libIlmImf-Imf_2_1-21 >= 2.1.0-4.5
  • openexr >= 2.1.0-4.5
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libIlmImf-Imf_2_1-21
SUSE Linux Enterprise Server 12 SP2
  • libIlmImf-Imf_2_1-21 >= 2.1.0-4.5
  • openexr >= 2.1.0-4.5
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libIlmImf-Imf_2_1-21
SUSE Linux Enterprise Server 12 SP3
  • libIlmImf-Imf_2_1-21 >= 2.1.0-4.5
  • openexr >= 2.1.0-4.5
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libIlmImf-Imf_2_1-21
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libIlmImf-Imf_2_1-21 >= 2.1.0-4.3
  • openexr >= 2.1.0-4.3
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libIlmImf-Imf_2_1-21
SUSE Linux Enterprise Server for SAP Applications 11
  • OpenEXR >= 1.6.1-83.17.1
  • OpenEXR-32bit >= 1.6.1-83.17.1
  • OpenEXR-x86 >= 1.6.1-83.17.1
Patchnames:
slessp0-OpenEXR
SUSE Linux Enterprise Software Development Kit 11 SP4
  • OpenEXR-32bit >= 1.6.1-83.17.1
  • OpenEXR-devel >= 1.6.1-83.17.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA OpenEXR-32bit
SUSE Linux Enterprise Software Development Kit 12
  • openexr-devel >= 2.1.0-4.5
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA openexr-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • openexr-devel >= 2.1.0-4.5
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA openexr-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • openexr-devel >= 2.1.0-4.5
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA openexr-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • openexr-devel >= 2.1.0-4.5
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA openexr-devel
SUSE Linux Enterprise Workstation Extension 12
  • libIlmImf-Imf_2_1-21-32bit >= 2.1.0-4.5
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 GA libIlmImf-Imf_2_1-21-32bit
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libIlmImf-Imf_2_1-21-32bit >= 2.1.0-4.5
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA libIlmImf-Imf_2_1-21-32bit
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libIlmImf-Imf_2_1-21-32bit >= 2.1.0-4.5
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA libIlmImf-Imf_2_1-21-32bit
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libIlmImf-Imf_2_1-21-32bit >= 2.1.0-4.5
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA libIlmImf-Imf_2_1-21-32bit
openSUSE 11.0
  • OpenEXR-debuginfo >= 1.6.1-47.2
  • OpenEXR-debugsource >= 1.6.1-47.2
openSUSE 11.0
  • OpenEXR >= 1.6.1-47.2
  • OpenEXR-32bit >= 1.6.1-47.2
  • OpenEXR-64bit >= 1.6.1-47.2
  • OpenEXR-devel >= 1.6.1-47.2
  • OpenEXR-doc >= 1.6.1-47.2
openSUSE 11.1
  • OpenEXR-debuginfo >= 1.6.1-83.13.1
  • OpenEXR-debuginfo-32bit >= 1.6.1-83.13.1
  • OpenEXR-debuginfo-64bit >= 1.6.1-83.13.1
  • OpenEXR-debugsource >= 1.6.1-83.13.1
openSUSE 11.1
  • OpenEXR >= 1.6.1-83.13.1
  • OpenEXR-32bit >= 1.6.1-83.13.1
  • OpenEXR-64bit >= 1.6.1-83.13.1
  • OpenEXR-devel >= 1.6.1-83.13.1
  • OpenEXR-doc >= 1.6.1-83.13.1
SUSE Linux Enterprise SDK 11 GA
  • OpenEXR-devel >= 1.6.1-83.17.1
sle11-sdk.ppc
sle11-sdk.x86
sles11.ia64
sles11.s390x
sle11-sdk.ia64
sle11-debuginfo.s390x
sle11-sdk.s390x
sle11-debuginfo.x86
sles11.x86-64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sles11.ppc
sle11-debuginfo.ia64
sled11.x86-64
sled11.x86
sle11-sdk.x86-64
sles11.x86
SAT Patch Nr: 1155
SUSE Linux Enterprise SDK 11 GA
  • OpenEXR-32bit >= 1.6.1-83.17.1
  • OpenEXR-devel >= 1.6.1-83.17.1
sle11-sdk.ppc
sle11-sdk.x86
sles11.ia64
sles11.s390x
sle11-sdk.ia64
sle11-debuginfo.s390x
sle11-sdk.s390x
sle11-debuginfo.x86
sles11.x86-64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sles11.ppc
sle11-debuginfo.ia64
sled11.x86-64
sled11.x86
sle11-sdk.x86-64
sles11.x86
SAT Patch Nr: 1155
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • OpenEXR >= 1.6.1-83.17.1
sle11-sdk.ppc
sle11-sdk.x86
sles11.ia64
sles11.s390x
sle11-sdk.ia64
sle11-debuginfo.s390x
sle11-sdk.s390x
sle11-debuginfo.x86
sles11.x86-64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sles11.ppc
sle11-debuginfo.ia64
sled11.x86-64
sled11.x86
sle11-sdk.x86-64
sles11.x86
SAT Patch Nr: 1155
SUSE Linux Enterprise Server 11 GA
  • OpenEXR >= 1.6.1-83.17.1
  • OpenEXR-x86 >= 1.6.1-83.17.1
sle11-sdk.ppc
sle11-sdk.x86
sles11.ia64
sles11.s390x
sle11-sdk.ia64
sle11-debuginfo.s390x
sle11-sdk.s390x
sle11-debuginfo.x86
sles11.x86-64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sles11.ppc
sle11-debuginfo.ia64
sled11.x86-64
sled11.x86
sle11-sdk.x86-64
sles11.x86
SAT Patch Nr: 1155
SUSE Linux Enterprise Server 11 GA
  • OpenEXR >= 1.6.1-83.17.1
  • OpenEXR-32bit >= 1.6.1-83.17.1
sle11-sdk.ppc
sle11-sdk.x86
sles11.ia64
sles11.s390x
sle11-sdk.ia64
sle11-debuginfo.s390x
sle11-sdk.s390x
sle11-debuginfo.x86
sles11.x86-64
sle11-debuginfo.x86-64
sle11-debuginfo.ppc
sles11.ppc
sle11-debuginfo.ia64
sled11.x86-64
sled11.x86
sle11-sdk.x86-64
sles11.x86
SAT Patch Nr: 1155
SUSE Linux Enterprise SDK 10 SP2
  • OpenEXR-devel >= 1.2.2-16.7
sles10-sp2.x86-64
sle10-sp2-sdk.ppc
sles10-sp2.ia64
sles10-sp2.ppc
sle10-sp2-sdk.s390x
sles10-sp2.x86
sle10-sp2-sdk.ia64
sle10-sp2-sdk.x86-64
sled10-sp2.x86
sle10-sp2-sdk.x86
sles10-sp2.s390x
sled10-sp2.x86-64
ZYPP Patch Nr: 6392
openSUSE Leap 15.0
  • libIlmImf-2_2-23 >= 2.2.1-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA libIlmImf-2_2-23
openSUSE Leap 42.1
  • libIlmImf-Imf_2_1-21 >= 2.1.0-6.2
  • openexr-devel >= 2.1.0-6.2
Patchnames:
openSUSE Leap 42.1 GA libIlmImf-Imf_2_1-21
openSUSE Leap 42.2
  • libIlmImf-Imf_2_1-21 >= 2.1.0-7.4
  • openexr-devel >= 2.1.0-7.4
Patchnames:
openSUSE Leap 42.2 GA libIlmImf-Imf_2_1-21
openSUSE Leap 42.3
  • libIlmImf-Imf_2_1-21 >= 2.1.0-9.5
  • openexr-devel >= 2.1.0-9.5
Patchnames:
openSUSE Leap 42.3 GA libIlmImf-Imf_2_1-21
openSUSE Tumbleweed
  • libIlmImf-2_2-22 >= 2.2.0-1.8
  • libIlmImf-2_2-22-32bit >= 2.2.0-1.8
  • libIlmImfUtil-2_2-22 >= 2.2.0-1.8
  • libIlmImfUtil-2_2-22-32bit >= 2.2.0-1.8
  • openexr >= 2.2.0-1.8
  • openexr-devel >= 2.2.0-1.8
  • openexr-doc >= 2.2.0-1.8
Patchnames:
openSUSE Tumbleweed GA libIlmImf-2_2-22


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 GA OpenEXR Released
SUSE Linux Enterprise SDK 11 GA OpenEXR Released